/*	StepByStep.java
     
   Copyright 2007 Manfred Kopp
   
    This software distributed under the terms of the 
    GNU General Public License Version 3 (GPLv3) of the License, 
    or (at your option) any later version.
        
    This file is part of the game Step-By-Step.

    Step-By-Step is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    Step-By-Step is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.step_by_step;
import java.awt.BorderLayout;
import javax.swing.SwingUtilities;
import javax.swing.JFrame;
import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.Color;
import javax.swing.JPanel;

public class StepByStep {

	private JFrame jFrame = null;

	private JPanel jContentPane = null;
	
//	private Editor playfield; 
	private Playfield playfield; 
	/**
	 * This method initializes jFrame
	 * 
	 * @return javax.swing.JFrame
	 */
	JFrame getJFrame() {
		if (jFrame == null) {
			jFrame = new JFrame();
			jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			jFrame.setPreferredSize(new Dimension(800, 600));
			jFrame.setMinimumSize(new Dimension(800, 600));
			jFrame.setMaximumSize(new Dimension(800, 600));
			jFrame.setBounds(new Rectangle(0, 0, 800, 600));
			jFrame.setResizable(false);
			jFrame.setContentPane(getJContentPane());
			jFrame.setTitle("Step By Step   (Version 0.97)");
			jFrame.setVisible(true);
		}
		return jFrame;
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.setBackground(Color.black);
//			playfield= new Editor();
			playfield= new Playfield();
			jContentPane.add(playfield);
		}
		return jContentPane;
	}

	/**
	 * Launches this application
	 */
	public static void main(String[] args) {
		// try to accellerate translucent images
		System.setProperty("sun.java2d.opengl","True");
		System.setProperty("sun.java2d.translaccel", "True");
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				StepByStep application = new StepByStep();

				application.getJFrame().setVisible(true);
				application.playfield.requestFocus();
				application.playfield.init();
			}
		});
	}
}
